Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver.registry

# Class ModelResolverDescriptor

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.registry.ModelResolverDescriptor

public class ModelResolverDescriptor extends Object
Descriptor of an `IModelResolver`.

This acts as a DTO holding the information about the registered resolvers.

Note that model resolvers are only partially lazy : we won't start the plugins providing model resolvers as soon as we discover them, but we will do so as soon as EMF Compare is first called (we need an instance to check whether the resolver `can resolve` the target model).

Model resolvers are stateful, so once a descriptor has been used to create its underlying instance, the resolver remains in memory.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
`String`
`getDescription()`
`String`
`getLabel()`
`int`
`getRanking()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getRanking

public int getRanking()

See Also:
  - `org.eclipse.emf.compare.ide.ui.logical.IModelResolver#getRanking()`

### getLabel

public String getLabel()

Returns:
  Human-readable label for this resolver.

### getDescription

public String getDescription()

Returns:
  Human-readable description for this resolver.

### getClassName

public String getClassName()

Returns:
  the qualified class name of the described resolver.